<%@ page pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" import="java.util.*, java.sql.*, bibliophilia.*, javax.naming.*, javax.sql.*" %>
<%
    Connection con = null;
    String title = null;
    String isbn = null;
    Creator[] authors = null;
    java.sql.Date regDate = null;
    String manuf = null;
    int userId = -1;
    HashMap<String, Integer> idmap = null;
    int rent_book = 0;

    idmap = new HashMap<String, Integer>();
    userId = -1;
    rent_book = 0;
    con = null;
    title = null;
    isbn = null;
    authors = null;
    regDate = null;
    manuf = null;
%>

<html>
<head>
 <jsp:include page="htitle.jsp"/>
<style type="text/css">
TH {
    background-color: #DDFFDD
}
</style>
<link rel="stylesheet" href="style/common.css" TYPE="text/css">
<script language="JavaScript">
    function deleteBook(x){
        if(confirm("この書籍の情報を削除しますか？")){
            document.delete_book.submit();
        }
    }
    function rent(){
        if(0 == document.getElementsByName("rent_book")[0].selectedIndex){
            alert("ユーザを指定してください。");
        }else {
            document.rent_form.submit();
        }
    }
</script>
</head>
<BODY>
<jsp:include page="title.jsp" />
<TABLE>
<jsp:include page="menu.jsp"/>
<TD>
<%
    if(!request.getParameter("rent_book").equals("0")){
        rent_book = Integer.parseInt(request.getParameter("rent_book"));
    }
    InitialContext ic = new InitialContext();
    DataSource ds = (DataSource)ic.lookup("java:comp/env/jdbc/bibliophilia");
    con = ds.getConnection();
    PreparedStatement stmt = con.prepareStatement("select isbn, title, reg_date, manufacturer, user_id "
        + " from books where books.book_id=? ");
    PreparedStatement stmta = con.prepareStatement("select arole, name from author where book_id=?");

    if(rent_book > 0){
        PreparedStatement s = con.prepareStatement("update books set user_id=? where book_id=?");
        s.setInt(1, rent_book);
        s.setInt(2, Integer.parseInt(request.getParameter("id")));
        s.executeUpdate();
    }

    stmt.setInt(1, Integer.parseInt(request.getParameter("id")));
    stmta.setInt(1, Integer.parseInt(request.getParameter("id")));
    ResultSet rs = stmt.executeQuery();
    while(rs.next()){
        isbn = rs.getString(1);
        title = rs.getString(2);
        regDate = rs.getDate(3);
        manuf = rs.getString(4);
        userId = rs.getInt(5);
    }
    rs.close();
    stmt.close();

    rs = stmta.executeQuery();
    Vector<Creator> v = new Vector<Creator>();
    while(rs.next()){
        v.add(new Creator(rs.getString(1), rs.getString(2)));
    }
    authors = (Creator[])v.toArray(new Creator[v.size()]);
    rs.close();
    stmta.close();

    stmt = con.prepareStatement("select user_id, name from user_info");
    rs = stmt.executeQuery();
    while(rs.next()){
        idmap.put(rs.getString(2), rs.getInt(1));
    }

    stmt.close();
    rs.close();

    con.close();
%>
<H2>書籍情報</H2>
<H3>『<%=title%>』</H3>
<%
    if(isbn != null && !isbn.equals("！要登録！")){
        BookInfo info = BookInfo.getInfoByISBN(isbn);
        String[] images = info.getImage();
        if(images[1] == null){
            out.println("[No Image]");
        }else {
            out.println("<a href='" + images[2]+ "'><img src='"+ images[1] +"'></a>");
        }
    }
%>
<table>
<tr>
<TH>ISBN<TD> <%
    if(isbn == null || isbn.equals("！要登録！")){
        out.println("<form action='reg/reg_name.jsp' method='POST'>");
        out.println( "未登録<input type='hidden' name='bookid' value='" + request.getParameter("id") + "' />" );
        out.println( "<input type='hidden' name='keywords' value='" + title +"'/>");
        out.println( "<input type='submit' value='更新' >");
        out.println("</form>");
    }else {
        out.println(isbn);
    }
%>
<TR>
<TH>出版社<TD> <%=manuf%>
<TR>
<TH>詳細
<TD><a href='http://www.amazon.co.jp/exec/obidos/ASIN/<%=isbn%>'>Amazonの情報</A>
<TR>
<TH>登録日
<TD><%=regDate%>
<TR>
<TH>著者
<TD>
<%
    for(int  i = 0; i<authors.length; i++){
        out.println(authors[i].getRole() + ":" + authors[i].getName() + "<BR>");
    }
%>
<TR>
<TH>
<TD>
   <%
    Set<String> keyset = idmap.keySet();
    out.println("<form name='rent_form' action='bookinfo.jsp' method='GET'><select name='rent_book'>");
    out.println("<option value=''>-");
    for(String key: keyset){
        out.println("<option value='"+ idmap.get(key) +"'>" + key);
    }
    out.println("</select>");
    out.println("<input type=hidden name=id value='" + request.getParameter("id") + "'>");
    out.println("<input onClick='javascript:rent()' type='button' value='借りる'></form>");
    if(userId != -1){
        for(String key: keyset){
            if(idmap.get(key) == userId){
                out.println(key + " に貸出中");
                break;
            }
        }
    }
   %>
<TR>
</table>
<form name="delete_book" action="reg/delete_book.jsp" method="POST">
        <input type="hidden" name="bookid" value="<%=request.getParameter("id")%>" />
        <input type="button" value="情報を削除" onClick="javascript:deleteBook(<%=request.getParameter("id")%>)" />
        <input type="button" value="情報を編集" onClick="javascript:location.href='reg/edit_bookinfo.jsp?book_id=<%=request.getParameter("id")%>'" />
    </form>
</TABLE>
</body>
</html>
<%
/*
    Column    |          Type          | Modifiers
--------------+------------------------+-----------
 book_id      | integer                | not null
 isbn         | character varying(16)  |
 title        | character varying(512) |
 reg_date     | date                   |
 manufacturer | character varying(256) |
 user_id      | integer                |
 */
%>
