package org.apache.jsp.reg;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import java.sql.*;
import java.util.*;
import java.io.*;
import bibliophilia.*;
import javax.naming.*;
import javax.sql.*;

public final class update_005fbook_jsp extends org.apache.jasper.runtime.HttpJspBase
    implements org.apache.jasper.runtime.JspSourceDependent {


    public static String decode(String s) throws UnsupportedEncodingException {
        return java.net.URLDecoder.decode(s, "UTF-8");
    }

  private static java.util.List _jspx_dependants;

  public Object getDependants() {
    return _jspx_dependants;
  }

  public void _jspService(HttpServletRequest request, HttpServletResponse response)
        throws java.io.IOException, ServletException {

    JspFactory _jspxFactory = null;
    PageContext pageContext = null;
    HttpSession session = null;
    ServletContext application = null;
    ServletConfig config = null;
    JspWriter out = null;
    Object page = this;
    JspWriter _jspx_out = null;
    PageContext _jspx_page_context = null;


    try {
      _jspxFactory = JspFactory.getDefaultFactory();
      response.setContentType("text/html;charset=UTF-8");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      _jspx_page_context = pageContext;
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write('\n');
      out.write('\n');

    int book_id = Integer.parseInt(request.getParameter("book_id"));
    boolean error = false;
    String title = request.getParameter("title");
    String isbn = request.getParameter("isbn");
    java.sql.Date reg_date = java.sql.Date.valueOf(request.getParameter("reg_date"));
    String publisher = (request.getParameter("publisher"));
    String[] tmp = (request.getParameter("authors")).split("\n");
    boolean auto_isbn_completion = request.getParameter("auto_isbn_completion").equals("on");

    Vector<Creator> creators = new Vector<Creator>();
    for(int i = 0; i<tmp.length; i++){
        tmp[i] = tmp[i].trim();
        if(tmp[i].length() == 0){
            continue;
        }
        tmp[i] = tmp[i].replaceFirst("：", ":");
        String[] line = tmp[i].split(":");
        if(line.length == 1){
            creators.add(new Creator("著", line[0]));
        }else if(line.length > 1){
            creators.add(new Creator(line[0].trim(), line[1].trim()));
        }
    }

    if(auto_isbn_completion){
        if(isbn == null){
            isbn = "";
        }else {
            // find books
            isbn = isbn.replaceAll("-", "");
            isbn = isbn.replaceAll(" ", "");
        }
        if(isbn.length() == 13){
            isbn = IsbnUtil.toOldSystem(isbn);
        }
        if(isbn.length() == 9){
            isbn = IsbnUtil.completeCheckDigit10(isbn);
        }
    }


      out.write("\n");
      out.write("<html>\n");
      out.write("<head>\n");
      org.apache.jasper.runtime.JspRuntimeLibrary.include(request, response, "../htitle.jsp", out, false);
      out.write("\n");
      out.write("<style type=\"text/css\">\n");
      out.write("TH {\n");
      out.write("    background-color: #DDFFDD\n");
      out.write("}\n");
      out.write("</style>\n");
      out.write("<link rel=\"stylesheet\" href=\"../style/common.css\" TYPE=\"text/css\">\n");
      out.write("</head>\n");
      out.write("<BODY>\n");
      org.apache.jasper.runtime.JspRuntimeLibrary.include(request, response, "../title.jsp", out, false);
      out.write("\n");
      out.write("<TABLE>\n");
      org.apache.jasper.runtime.JspRuntimeLibrary.include(request, response, "../menu.jsp", out, false);
      out.write("\n");
      out.write("<TD valign=\"TOP\">\n");
      out.write("    ");
 
    Connection con = null;
    try {
        InitialContext ic = new InitialContext();
        DataSource ds = (DataSource)ic.lookup("java:comp/env/jdbc/bibliophilia");
        con = ds.getConnection();
        con.setAutoCommit(false);

        PreparedStatement stmt = con.prepareStatement("update books set isbn=?, title=?, reg_date=?, manufacturer=? where book_id=?");
        stmt.setInt(5, book_id);
        stmt.setString(1, isbn);
        stmt.setString(2, title);
        stmt.setDate(3, reg_date);
        stmt.setString(4, publisher);
        stmt.executeUpdate();
        stmt.close();

        stmt = con.prepareStatement("delete from author where book_id=?");
        stmt.setInt(1, book_id);
        stmt.executeUpdate();
        stmt.close();

        stmt = con.prepareStatement("insert into author(book_id, arole, name) values(?, ?, ?)");
        for(Creator c: creators){
            stmt.setInt(1, book_id);
            stmt.setString(2, c.getRole());
            stmt.setString(3, c.getName());
            stmt.executeUpdate();
        }
        stmt.close();
        con.commit();
        con.close();
    }catch(Exception e){
        try {
            con.rollback();
        }catch(Exception e2){
            e2.printStackTrace();
        }
        e.printStackTrace();
        error = true;
    }
    if(!error){
        out.println("<H2>情報を更新しました</H2>");
        out.println("<a href='/bibliophilia/bookinfo.jsp?rent_book=-1&id="+book_id+"'>書籍の情報へ</A>");
    }else {
        out.println("<H2>登録中にエラーが発生しました。</H2>");
    }
    
      out.write("\n");
      out.write("</table>\n");
      out.write("</body>\n");
      out.write("</html>\n");

/*
    Column    |          Type          | Modifiers
--------------+------------------------+-----------
 book_id      | integer                | not null
 isbn         | character varying(16)  |
 title        | character varying(512) |
 reg_date     | date                   |
 manufacturer | character varying(256) |
 user_id      | integer                |
 */

      out.write('\n');
    } catch (Throwable t) {
      if (!(t instanceof SkipPageException)){
        out = _jspx_out;
        if (out != null && out.getBufferSize() != 0)
          out.clearBuffer();
        if (_jspx_page_context != null) _jspx_page_context.handlePageException(t);
      }
    } finally {
      if (_jspxFactory != null) _jspxFactory.releasePageContext(_jspx_page_context);
    }
  }
}
